lock '3.10.1'

set :application, 'hmno'
set :repo_url, 'http://volse.anduin.net/gitrepos/hmnoweb.git'
set :linked_files, %w{
  config/initializers/refinery/core.rb
  config/initializers/secret_token.rb
  config/piwik.yml
}
set :linked_dirs, %w{
  log
  tmp/cache
  tmp/index
  tmp/pids
  tmp/sockets
  vendor/bundle
  public/system
}
set :bundle_without, %w{development test deploy}.join(' ')

set :deploy_to, '/home/hmno/webapp/main'

set :pg_user, 'hmno_db_admin'
set :pg_system_user, 'pgsql'
set :pg_ask_for_password, true
set :pg_no_sudo, true

ask :piwik_site_id, 0
ask :piwik_url, 'https://piwik.example.com'

set :rbenv_type, :user
set :rbenv_ruby, File.read('.ruby-version').strip()
set :rbenv_prefix, "RBENV_ROOT=#{fetch(:rbenv_path)} RBENV_VERSION=#{fetch(:rbenv_ruby)} #{fetch(:rbenv_path)}/bin/rbenv exec"
set :rbenv_map_bins, %w{rake gem bundle ruby rails}
set :rbenv_roles, :all
