module Refinery
  module GalleryLinks
    class Engine < Rails::Engine
      extend Refinery::Engine
      isolate_namespace Refinery::GalleryLinks

      engine_name :refinery_gallery_links

      before_inclusion do
        Refinery::Plugin.register do |plugin|
          plugin.name = "gallery_links"
          plugin.url = proc { Refinery::Core::Engine.routes.url_helpers.gallery_links_admin_gallery_links_path }
          plugin.pathname = root
          plugin.activity = {
            :class_name => :'refinery/gallery_links/gallery_link'
          }
          
        end
      end

      config.after_initialize do
        Refinery.register_extension(Refinery::GalleryLinks)
      end
    end
  end
end
